package com.htfp.weather.web.pojo.request;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * @Author : shiyi
 * @Date : 2024/1/24 16:11
 * @Description : 地面位置参数
 */
@Data
public class Position2D {
    @NotNull(message = "纬度 (latitude) 不能为空")
    @Min(value = -90, message = "纬度 (latitude) 最小值为-90（南纬90°）")
    @Max(value = 90, message = "纬度 (latitude) 最大值为90（北纬90°）")
    Double latitude;

    @NotNull(message = "经度 (longitude) 不能为空")
    @Min(value = -180, message = "经度 (longitude) 最小值为-180（西经180°）")
    @Max(value = 180, message = "经度 (longitude) 最大值为180（东经180°）")
    Double longitude;

}
